Subject: Re: [PATCH -next] bcma: main.c and driver_mips.c need linux/export.h

From: Randy Dunlap <[email-masked]>
Date: Wed, 21 Sep 2011 14:49:06 -0700

On 09/21/2011 02:42 PM, Larry Finger wrote:
> On 09/21/2011 04:07 PM, Randy Dunlap wrote:
>> From: Randy Dunlap<[email-masked]>
>>
>> main.c and driver_mips.c use EXPORT_SYMBOL() etc.
>> so they should include<linux/export.h>.
>>
>> Signed-off-by: Randy Dunlap<[email-masked]>
> 
> From this commit message, it appears that every routine that uses EXPORT_SYMBOL() will need to include this header. I looked at modifying rtlwifi and friends to include this header, but found that include/linux/export.h does not exist in any of my source trees. From that I assume that the change will happen in 3.2.
> 
> I have prepared a patch, but cannot use it at the moment. Is there somewhere that I should send it?

Hi Larry,

linux/export.h is only in linux-next.  I think that you should just prepare
a linux-next patch for rtlwifi and then push it after Paul Gortmaker's
module.h-split git tree has been merged (it splits module.h into module.h
and export.h), or maybe you could ask Paul to merge your patch into his tree.

[I added Paul to the cc: list.]

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***